Package org.eclipse.net4j.db

# Interface DBUtil.RowHandler

All Known Subinterfaces:
  `DBUtil.DeserializeRowHandler`, `DBUtil.SerializeRowHandler`

Enclosing class:
  `DBUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface DBUtil.RowHandler
Call-back interface with a `method` that is called after a number of table rows have been handled by one of the subtypes of this interface.

Since:
  4.1
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`done(boolean successful)`

## Method Details

### done

void done(boolean successful) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`